import { Insertable, Kysely } from 'kysely';
import { DB } from "../schema";
import { VersionHistoryTable } from "../schema/tables/version-history.table";
export declare class VersionHistoryRepository {
    private db;
    constructor(db: Kysely<DB>);
    getAll(): Promise<{
        id: string;
        createdAt: Date;
        version: string;
    }[]>;
    getLatest(): Promise<{
        id: string;
        createdAt: Date;
        version: string;
    } | undefined>;
    create(version: Insertable<VersionHistoryTable>): Promise<{
        id: string;
        createdAt: Date;
        version: string;
    }>;
}
